Skip to content
GET /collection/{id}

Path Parameters

idstring
required·

Resource id

Response Body

access_summary
access_viastring
can_manageboolean
can_revoke_shareboolean
can_see_sharesboolean
can_shareboolean
can_transferboolean
can_useboolean
created_atstring
descriptionstring
field_countinteger
hidden_field_keysstring[]
idstring
namestring
owner_avatar_urlstring,null

The person's picture: their stored profile picture, else a Gravatar URL (d=404, 96px) derived from their email (the address itself is not sent), else null. Draw initials when it is null or the image fails to load.

owner_display_namestring,null
owner_user_idstring
reference_countsobject
automationsinteger
dashboardsinteger
row_scope_fieldstring,null
row_visibilitystring
Possible values:
allown
schemaobject
fieldsobject[]
8 properties
descriptionstring
idstring
indexedboolean
keystring
namestring
options
requiredboolean
typestring
primary_fieldstring
row_scopeobject,null
unique_keyarray,null
versioninteger
schema_versioninteger
statsobject,null
as_ofstring,null
bytesinteger
data_versioninteger
row_countinteger
updated_atstring
curl -X GET 'https://api.elaichi.ai/collection/<id>' \
  -H 'Authorization: Bearer $ELAICHI_API_TOKEN' \
  -H 'Content-Type: application/json'
const response = await fetch('https://api.elaichi.ai/collection/<id>', {
  method: 'GET',
  headers: {
    'Authorization': 'Bearer ' + process.env.ELAICHI_API_TOKEN,
    'Content-Type': 'application/json',
  },
});

const data = await response.json();
console.log(data);
import os
import requests

url = "https://api.elaichi.ai/collection/<id>"
headers = {
    "Authorization": f"Bearer {os.environ['ELAICHI_API_TOKEN']}",
    "Content-Type": "application/json",
}

response = requests.get(url, headers=headers)
print(response.json())